Subject: Re: [PATCHv2 net-next 2/3] bonding: restructure ad_churn_machine

From: Jakub Kicinski <[email-masked]>
Date: Wed, 21 Jan 2026 17:10:51 -0800

On Wed, 21 Jan 2026 08:58:13 +0100 Paolo Abeni wrote:
> >> My personal preference would be for 2/3 landing into net-next: the code
> >> looks correct to me, but refactor has IMHO still to much potential for
> >> regressions do land directly into net and the blamed commit is quite old.
> >>
> >> I suggested targeting net-next while retaining the Fixes tag as we
> >> already had complex fixes landing into net-next in the past.  
> > 
> > The appropriate way to delay propagation of the fix to add:
> > 
> > Cc: <[email-masked]> # after 4 weeks
> > 
> > not to merge things into -next.  
> 
> I went over the code as carefully as I could and I don't see any obvious
> problem, so I don't have a so strong opinion vs net, but to hopefully
> clarify: my thinking is that this is net-next material because it's an
> invasive refactor with behavior change. My preference would be let the
> code be tested in next/net-next for a while before landing into mainline.

From the patch description it look like user-trigger-able hang of 
the FSM. But if this is more of a resiliency improvement than a fix
then I'm perfectly fine with net-next. But then no Fixes tag and 
no stable at all, please.